import { DialogSOP } from '../../libappsop/dialogsop';
import { EditFieldSOP } from '../../libappsop/editfieldsop';

export interface DialogUnitOfMeasureFields {
  Name?: string;
  Factor?: string;
}

/**
 * Create/edit Unit of Measure dialog.
 */
export class DialogUnitOfMeasure extends DialogSOP<DialogUnitOfMeasureFields> {
  private readonly _efName = new EditFieldSOP('EditFieldName');
  private readonly _efFactor = new EditFieldSOP('EditFieldFactor');

  public constructor() {
    super('DialogCreateEditUOM');

    // Set UI element mapping to pair the UI name to the UI element for use in DialogSOP to find the UI object to set value or verify value
    // This prevents each new Dialog to duplicate code just to set/verify UI element value
    this._uiMap.set('Name', this._efName);
    this._uiMap.set('Factor', this._efFactor);
  }
}
